1. Viewing Service
Realsee Open API
  • Open API
    • Permission Interface
      • Get access_token
    • Metadata Related
      • Short Link Code Parsing
      • Combine VR Data
    • Viewing Service
      • Create Viewing Room (Open Platform Version)
        POST
      • Get Room Ticket
        POST
      • Get Voice Room Signature Interface
        POST
      • Get Viewing Room Details
        GET
    • Basic Data
      • VR Basic Data
      • Homepage Basic Data
      • Project List Data
      • VR point collection information
    • Edit Data
      • Space Related
        • Route guidance (old)
        • Hot data
        • Ruler data
        • Explain data
        • Point navigation data
        • Floor plan plug-in related data
        • Point video data
        • Custom ruler data
        • Label data
        • Route guidance
        • Get floor perspective
        • Get a list of surveillance videos
        • Hot data_V2
        • Hot data_V4
        • Get the entry door data
        • Entry door data interface
        • Get tag details
        • Point navigation data (new)
        • Tag list
        • Route planning
      • Business Related
        • VR introduction data
        • Extended information details (PDF&image file list)
        • Get PDF file preview link
        • Personal business card information
        • Get page component data
      • Configuration Related
        • VR configuration data
        • Source dimension introduction
        • Route guidance personalized configuration
        • Tag configuration
  • Schemas
    • Schemas
      • Work Data
      • Account description
      • Hot spot tag data
      • User details
      • Hotspot tag response data body
      • Account details
      • Manual ruler data
      • Point navigation data
      • Point video data
      • Label data
      • Route guidance data
      • Short-link coding details
      • Home screen data
      • Gateway response body
  1. Viewing Service

Get Room Ticket

POST
https://app-gateway.realsee.ai/open/v1/live/apply/ticket

Request

Header Params

Body Params application/json

Example
{
    "app_id": "vw9deNaEggNpPLkW",
    "room_code": "2YN8362pjBRDpA1E",
    "user_id": "3000100000022591",
    "user_role": "1",
    "user_extension": "{\"nickname\":\"188****5760\",\"avatar\":\"https://vrlab-public.ljcdn.com/common/file/web/10e333a3-0d94-43d0-bf32-383f0f4947b0.jpg\",\"source\":\"T-D9OMLG1W\"}",
    "basic_code": "80rXel3anqO4BM4JQn",
    "params_code": "VagwozQGlX4rQhYa",
    "resource_code": "VxnJ498211sBbNWtVx"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://app-gateway.realsee.ai/open/v1/live/apply/ticket' \
--header 'Authorization: ' \
--header 'Content-Type: application/json' \
--data '{
    "app_id": "vw9deNaEggNpPLkW",
    "room_code": "2YN8362pjBRDpA1E",
    "user_id": "3000100000022591",
    "user_role": "1",
    "user_extension": "{\"nickname\":\"188****5760\",\"avatar\":\"https://vrlab-public.ljcdn.com/common/file/web/10e333a3-0d94-43d0-bf32-383f0f4947b0.jpg\",\"source\":\"T-D9OMLG1W\"}",
    "basic_code": "80rXel3anqO4BM4JQn",
    "params_code": "VagwozQGlX4rQhYa",
    "resource_code": "VxnJ498211sBbNWtVx"
}'

Responses

🟢200成功
application/json
Bodyapplication/json

Example
{
    "request_id": "20240909154903-1027205133-3d25bd3d211753cc89b26ba83af708d6",
    "trace_id": "a2b3a659-4d33-417a-ba4f-b124f72d55c7",
    "business_code": "0",
    "osi_request_id": "",
    "code": 0,
    "status": "success",
    "data": {
        "room_link": "wss://ws-access.realsee.com/open/Ay10JD1XVbWQkNKV?open_app_id=2386",
        "ticket": "c977a76f999fd3f56cfc8ff9cd2571be"
    },
    "cost": 18
}
Previous
Create Viewing Room (Open Platform Version)
Next
Get Voice Room Signature Interface
Built with